Subject: Re: [Bonding-devel] Re: [RFC][bonding] Improve VLAN support on top of bonding

From: Ben Greear <[email-masked]>
Date: Tue, 15 Jul 2003 11:13:58 -0700

Dan Hollis wrote:
> On Tue, 15 Jul 2003, Ben Greear wrote:
> 
>>I'd consider ignoring the HW accel unless you can prove it actually helps
>>performance to a noticeable degree.  I have never seen results of any benchmarking
>>related to this...
> 
> 
> For gigabit ethernet, it makes a *H*U*G*E* difference.

I'm curious to see numbers.  The VLAN shim is only inserting
a small shim header, at at most shifting the first part of the packet
when sent a pre-built packet.

Maybe the hw-accel turns on tcp checksumming or something too??

> -Dan

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear